<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.8 (2011/10/23)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Plugin SAMPLE - Paramtres    
 * Jean-Michel MISRACHI
 * Web site = http://jmmis.free.fr/
 * e-mail   = jmmis@free.fr
 * version 4.6.0
 */
if (stristr($_SERVER["SCRIPT_NAME"], "param.inc")) {
  header("location:../index.php");
  die();
}

define("CHEMIN", "../../");
$lng   = strip_tags($lng);
$pg    = strip_tags($pg);
$plug  = strip_tags($plug);

$act  = strip_tags($act);
$regit  = strip_tags($regit);
$smp_id  = strip_tags($smp_id);

include_once(CHEMIN."plugins/sample/inc/data_func.inc");
include_once(CHEMIN."plugins/jmm/functions.php");
include(CHEMIN."plugins/sample/lang/".$lng."-adm.inc");
require CHEMIN.'plugins/adm_redacteurs/editors/editors_functions.php';  // Modif editeur


if ($regit == 1) {
//modif
	$smp_txt0 = PathRelatif($smp_txt0);  //Transformation chemin absolu en chemin relatif
	$smp_txt0 = PathAbsolu($smp_txt0);  //Transformation chemin relatif en chemin absolu
	$smp_txt1 = PathRelatif($smp_txt1);  //Transformation chemin absolu en chemin relatif
	$smp_txt1 = PathAbsolu($smp_txt1);  //Transformation chemin relatif en chemin absolu
//fin modif
  if ($smp_id == smp_ReadNextID()) {
  	// Enregistrement d'une cration
    smp_AppendList($smp_id, "a");
    smp_WriteParam($smp_id);
	//modif Rdacteur
    $smp_liste_file = "plugins/adm_redacteurs/data/plugins/sample/liste_".$upseudo.".dtb";
    smp_AppendList($smp_id, "a");
    $smp_liste_file = "data/plugins/sample/liste.dtb";
  	//fin modif
    $act="mod";
    $action = $smp_adm11.$smp_id;
    smp_IncrNextID();
  } else {
    // Enregistrement d'une modification
    smp_WriteParam($smp_id, $smp_Param);
    $action = $smp_adm11.$smp_id;
  }
  header("location:admin.php?lng=".$lng."&pg=plugin&plug=sample/inc/admin");
} else {
  switch ($act) {
    case "new" : // Creation 
      $smp_id = smp_ReadNextID();
      smp_ReadParam($smp_id); // juste pour obtenir les valeurs par dfaut
      $action = $smp_adm17.$smp_id;
      break;
    case "mod" : // Modification
      smp_ReadParam($smp_id);
      $action = $smp_adm11.$smp_id;
      break;
  }
}
$smp_liste  = smp_ReadList();

$topmess = $smp_adm6;
include(CHEMIN."inc/hpage.inc");

htable($smp_adm6, "100%");
echo "<hr />";
LiensBackLogout($smp_adm13, "sample/inc/admin");
echo "<hr />";
echo "<p align=\"center\">";
echo "<a href='admin.php?lng=".$lng."&amp;pg=plugin&amp;plug=sample/inc/param&amp;act=new'>".$smp_adm16."</a> || ".$action."</p>";

FormBegin("smp_param", "sample/inc/param");
FormHidden("regit", 1);
FormHidden("act", $act);
FormHidden("smp_id", $smp_id);
//modif
if(file_exists(CHEMIN.'plugins/adm_redacteurs/plugins/lang/'.$lng.'-adm_redacteurs_plugins'.INCEXT)) {
	include(CHEMIN.'plugins/adm_redacteurs/plugins/lang/'.$lng.'-adm_redacteurs_plugins'.INCEXT);
} else {
	include(CHEMIN.'plugins/adm_redacteurs/plugins/lang/en-adm_redacteurs_plugins'.INCEXT);
}
echo '<div style="text-align:center;padding-top:20px;padding-bottom:5px;">'.$redacsample0.'</div>';
echo '<div style="text-align:center;"><img src="'.$flag1.'" alt="'.$lang[0].'" title="'.$lang[0].'" border="0" style="vertical-align:middle;margin-right:5px;" /><input type="text" style="vertical-align:middle;width:265px;" value="'.$site[3].'plugins/sample/sample.php?lng='.$lang[0].'&id='.$smp_id.'" readonly="readonly" /></div>';
if ($lang[1] != "") {
    echo '<div style="text-align:center;padding-top:10px;"><img src="'.$flag2.'" alt="'.$lang[1].'" title="'.$lang[1].'" border="0" style="vertical-align:middle;margin-right:5px;" /><input type="text" style="vertical-align:middle;width:265px;" value="'.$site[3].'plugins/sample/sample.php?lng='.$lang[1].'&id='.$smp_id.'" readonly="readonly" /></div>';
}

//FormTextBilingual($smp_adm22, "smp_titre0", $smp_titre0, "smp_titre1", $smp_titre1, $smp_adm122);
echo '<div style="text-align:center;padding-top:20px;padding-bottom:5px;">'.$smp_adm22.'</div>';
echo '<div style="text-align:center;"><img src="'.$flag1.'" alt="'.$lang[0].'" title="'.$lang[0].'" border="0" style="vertical-align:middle;margin-right:5px;" /><input name="smp_titre0" class="texte" style="vertical-align:middle;" type="text" size="50" value="'.$smp_titre0.'" /></div>';
if ($lang[1] != "") {
	echo '<div style="text-align:center;padding-top:10px;"><img src="'.$flag2.'" alt="'.$lang[1].'" title="'.$lang[1].'" border="0" style="vertical-align:middle;margin-right:5px;" /><input name="smp_titre1" class="texte" style="vertical-align:middle;" type="text" size="50" value="'.$smp_titre1.'" /></div>';
}
/*
FormTextareaBilingual($smp_adm26,
  "smp_txt0", preg_replace("|<BR />|", "\n", $smp_txt0),
//  "smp_txt1", preg_replace("|<BR />|", "\n", $smp_txt1), $smp_adm126, 5, 40);
  "smp_txt1", preg_replace("|<BR />|", "\n", $smp_txt1), $smp_adm126, 5, 35);
*/
/*if (isset($redacprefs['reditor']) && $redacprefs['reditor'] == "FCK" && file_exists(CHEMIN.'inc/fckeditor/fckeditor.js')) {
	$serviz[49] = "FCK";
//} elseif (isset($redacprefs['reditor']) && $redacprefs['reditor'] == "Typetool" && file_exists(CHEMIN.'inc/jscript/quickbuild.js')) {
//	$serviz[49] = "Typetool";
} elseif (isset($redacprefs['reditor']) && $redacprefs['reditor'] == "HTMLArea" && file_exists(CHEMIN.'inc/htmlarea/htmlarea.js')) {
	$serviz[49] = "HTMLArea";
} elseif (isset($redacprefs['reditor']) && $redacprefs['reditor'] == "Xinha" && file_exists(CHEMIN.'inc/xinha/htmlarea.js')) {
	$serviz[49] = "Xinha";
} elseif (isset($redacprefs['reditor']) && $redacprefs['reditor'] == "FCKin" && file_exists(CHEMIN.'inc/fckeditor/fckeditor.php')) {
	$serviz[49] = "FCKin";
//} elseif (isset($redacprefs['reditor']) && $redacprefs['reditor'] == "Typetoolin" && file_exists(CHEMIN.'inc/jscript/quickbuild.js')) {
//	$serviz[49] = "in";
}	

if (($browser =="KO") || ($serviz[49] != "in" && $serviz[49] != "FCKin")){
	$path_minieditortextarea_config = 'plugins/adm_redacteurs/editors/minieditortextarea/';
	include(CHEMIN."plugins/adm_redacteurs/editors/minieditortextarea/minieditortextarea.inc");
} elseif ($browser =="OK" && ($serviz[49] == "FCKin" || $serviz[49] == "in") && file_exists(CHEMIN.'inc/fckeditor/fckeditor.php')) {
	include(CHEMIN.'inc/fckeditor/fckeditor.php') ; //INSERTION FCKEDITOR INTEGRE
}*/

echo '<div style="text-align:center;padding-top:20px;padding-bottom:5px;">'.$smp_adm26.'</div>';
echo '<div style="text-align:center;padding:5px;"><img border="0" src="'.$flag1.'" width="24" height="16" alt="'.$lang[0].'" title="'.$lang[0].'" /></div>';
display_admin_editor('smp_txt0', '100%', '300px', $smp_txt0, $serviz[49], array('formName' => 'smp_param'));    
/*
if ($browser =="KO" || ($serviz[49] != "in" && $serviz[49] != "FCKin")){
	MiniEditorTextarea('1','smp_param','smp_txt0','540px','330px',$smp_txt0);  //miniediteur fr (voir functionredac)
} elseif ($browser =="OK" && ($serviz[49] == "FCKin" || $serviz[49] == "in") && file_exists(CHEMIN.'inc/fckeditor/fckeditor.php')) {
	$smp_txt0 = ereg_replace('src="(\.\.\/)+img\/smileys\/','src="inc/img/smileys/',$smp_txt0);
	$smp_txt0 = PathAbsolu($smp_txt0);  //Transformation chemin relatif en chemin absolu
	EditorFCKeditor('smp_txt0','inc/fckeditor/','98%',300,$smp_txt0,'Guppy_in','plugins/adm_redacteurs/editors/'); //editeur FCKeditor
} else {
?>
	<table cellspacing="0" cellpadding="0" border="0" width="90%" align="center" style="vertical-align:middle; cursor:pointer;">
	<tr><td colspan="2" align="center"><textarea cols="43" rows="20" name="smp_txt0"><?php echo $smp_txt0; ?></textarea></td></tr>
    <tr><td align="center" style="padding-top:10px;">
<?php
	Drawsmileys2();
?>
	</td></tr>
	</table>
<?php
}
*/
if ($lang[1] != "") {
	echo '<div style="text-align:center; padding-top:20px; padding-bottom:5px;"><img border="0" src="'.$flag2.'" width="24" height="16" alt="'.$lang[1].'" title="'.$lang[1].'" /></div>';
    display_admin_editor('smp_txt1', '100%', '300px', $smp_txt1, $serviz[49], array('formName' => 'smp_param'));    
/*
	if ($browser =="KO" || ($serviz[49] != "in" && $serviz[49] != "FCKin")){
		MiniEditorTextarea('2','smp_param','smp_txt1','540px','330px',$smp_txt1); //miniediteur en (voir functionredac)
	} elseif ($browser =="OK" && ($serviz[49] == "FCKin" || $serviz[49] == "in") && file_exists(CHEMIN.'inc/fckeditor/fckeditor.php')) {
		$smp_txt1 = ereg_replace('src="(\.\.\/)+img\/smileys\/','src="inc/img/smileys/',$smp_txt1);
		$smp_txt1 = PathAbsolu($smp_txt1);  //Transformation chemin relatif en chemin absolu
		EditorFCKeditor('smp_txt1','inc/fckeditor/','98%',300,$smp_txt1,'Guppy_in','plugins/adm_redacteurs/editors/');  //editeur FCKeditor
	} else {
?>
		<table cellspacing="0" cellpadding="0" border="0" width="90%" align="center" style="vertical-align:middle; cursor:pointer;">
		<tr><td colspan="2" align="center"><textarea cols="43" rows="20" name="smp_txt1"><?php echo $smp_txt1; ?></textarea></td></tr>
    	<tr><td align="center" style="padding-top:10px;">
<?php
		Drawsmileys2();
?>
		</td></tr>
		</table>
<?php
	}*/
}
echo '<div style="padding:15px;">';
FormEnd();
echo '</div>';
//fin modif
echo "<hr />";
LiensBackLogout($smp_adm13, "sample/inc/admin");
echo "<hr />";
VersionAuteurPlugin($smp_version, $smp_auteur1, 2);

btable();
include(CHEMIN."inc/bpage.inc");